use thiserror::Error;
use wasm_bindgen::JsValue;

use super::JsError;

#[derive(Error, Debug)]
pub enum FetchFileError {
    #[error("Failed to fetch file")]
    Request(#[from] JsError),
    #[error("Failed to read fetched file to string")]
    ReadToString,
}

impl From<JsValue> for FetchFileError {
    fn from(value: JsValue) -> Self {
        Self::Request(value.into())
    }
}
