use thiserror::Error;

use super::FetchFileError;

#[derive(Error, Debug)]
pub enum FetchKleError {
    #[error("Invalid source. Must be KLE layout, gist URL, gist ID, or direct URL to JSON file")]
    InvalidSource,
    #[error("Failed to fetch file")]
    FetchFile(#[from] FetchFileError),
    #[error("Failed to parse KLE JSON")]
    Serde(#[from] serde_json::Error),
}
