use thiserror::Error;
use wasm_bindgen::JsValue;

use super::JsError;

#[derive(Error, Debug)]
pub enum ReadFileError {
    #[error("No file chosen")]
    NoFile,
    #[error("Failed to open file")]
    TextAwait(#[from] JsError),
    #[error("Failed to parse file to string")]
    ParseToString,
}

impl From<JsValue> for ReadFileError {
    fn from(value: JsValue) -> Self {
        Self::TextAwait(value.into())
    }
}
