#![feature(async_closure)]

mod components;
mod error;
mod models;
mod utils;

use leptos::*;
use wasm_bindgen::JsCast;

use components::*;

#[component]
fn App() -> impl IntoView {
    let (_keyboard, set_keyboard) = create_signal(None);

    view! {
        <KeyboardFromFile set_keyboard />
        <KeyboardFromWeb set_keyboard />
    }
}

fn main() {
    let root = document().query_selector("main").unwrap().unwrap();
    mount_to(root.unchecked_into(), || view! { <App/> });
}
