use class_list::traits::ClassList;
use strum_macros::IntoStaticStr;

#[derive(Default, Clone, Copy, IntoStaticStr)]
#[allow(dead_code)]
pub enum Colorway {
    #[default]
    #[strum(serialize = "plain")]
    Plain,
    #[strum(serialize = "info")]
    Info,
    #[strum(serialize = "ok")]
    Ok,
    #[strum(serialize = "warn")]
    Warn,
    #[strum(serialize = "bad")]
    Bad,
}

impl ClassList for Colorway {
    fn to_class_list(&self, _normalize: bool) -> String {
        let class: &str = self.into();
        class.to_string()
    }
}
